> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devin.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Enterprise Playbook

> Create a new playbook in your enterprise

Requires an enterprise admin personal API key.

Create a new playbook. The playbook will be associated with your account and enterprise. Use macros to create quick shortcuts (e.g., `!deploy`).


## OpenAPI

````yaml /v2-openapi.yaml POST /v2/enterprise/playbooks
openapi: 3.1.0
info:
  description: Devin v2 API with Personal API Keys for Enterprise Admins
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v2/enterprise/playbooks:
    post:
      tags:
        - playbooks
      summary: Create Enterprise Playbook
      description: Create a new enterprise playbook.
      operationId: create_enterprise_playbook_v2_enterprise_playbooks_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateEnterprisePlaybookRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EnterprisePlaybookResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    CreateEnterprisePlaybookRequest:
      properties:
        body:
          minLength: 1
          title: Body
          type: string
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        title:
          minLength: 1
          title: Title
          type: string
      required:
        - title
        - body
      title: CreateEnterprisePlaybookRequest
      type: object
    EnterprisePlaybookResponse:
      properties:
        access:
          title: Access
          type: string
        account_id:
          title: Account Id
          type: string
        body:
          title: Body
          type: string
        created_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Created At
        created_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Id
        created_by_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Created By User Name
        macro:
          anyOf:
            - type: string
            - type: 'null'
          title: Macro
        playbook_id:
          title: Playbook Id
          type: string
        status:
          title: Status
          type: string
        title:
          title: Title
          type: string
        updated_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Updated At
        updated_by_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By User Id
        updated_by_user_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Updated By User Name
      required:
        - playbook_id
        - title
        - body
        - status
        - access
        - account_id
        - created_at
        - updated_at
        - created_by_user_id
        - created_by_user_name
        - updated_by_user_id
        - updated_by_user_name
      title: EnterprisePlaybookResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: Personal API Key (apk_user_*) for Enterprise Admins only
      scheme: bearer
      type: http

````